var objTxtbgfixerPrefs = {

	init: function()
	{
		this.prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('txtbgfixer.');

		this.ndTxtbgfixerToggleEnable = document.getElementById('txtbgfixer-enable');
		this.ndTxtbgfixerToggleInvert = document.getElementById('txtbgfixer-invert-colors');

		this.ndTxtbgfixerToggleEnable.checked = this.prefService.getBoolPref('enabled');
		this.ndTxtbgfixerToggleInvert.checked = this.prefService.getBoolPref('invert_colors');

		this.ndTxtbgfixerToggleInvert.disabled = !this.ndTxtbgfixerToggleEnable.checked;
	},

	toggle_enable: function()
	{
		this.prefService.setBoolPref( 'enabled', this.ndTxtbgfixerToggleEnable.checked );
		this.ndTxtbgfixerToggleInvert.disabled = !this.ndTxtbgfixerToggleEnable.checked;
	},

	toggle_invert: function()
	{ this.prefService.setBoolPref( 'invert_colors', this.ndTxtbgfixerToggleInvert.checked ); }
}
